# Basic info about what we're building
%define class    Business
%define subclass UPS
%define version  1.13
%define release  2

# Derived values
%define module  %{class}-%{subclass}
%define name    perl-%{module}
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: 	Perl module %{class}::%{subclass}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Perl
License:        See documentation
Source: 	http://www.cpan.org/modules/by-module/%{class}/%{module}-%{version}.tar.gz
Url: 		http://search.cpan.org/search?dist=%{module}
BuildRequires:	perl
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-build-%(id -nu)/
Requires: 	perl = %{perlver}
Provides:       %{module} = %{version}

%description
Perl module which implements the %{class}::%{subclass} class.  

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
%{__make} OPTIMIZE="$RPM_OPT_FLAGS"
%{__perl} -i -p -e 's^/usr/local/bin/perl^/usr/bin/perl^g' examples/*

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod" \
                          -o -name ".packlist" \
                          -o -name "*.bs"`

# Remove all empty directories
find $RPM_BUILD_ROOT -type d | tac | xargs rmdir --ign

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{module}-%{version}

%files
%defattr(-,root,root)
%doc Changes README examples country-codes.txt product-codes.txt
%{_prefix}

%changelog
* Wed May 28 2003 Michael McLagan <michael.mclagan@linux.org>
- initial version

